Debian Bug report logs - #215543
ITA: pdl -- The perl data language. Perl extensions for numerics.

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Mon, 13 Oct 2003 11:18:09 UTC

Owned by: glaweh@debian.org

Severity: normal

Fixed in version pdl/1:2.4.0-1

Done: Henning Glawe <glaweh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#215543; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: pdl -- The perl data language. Perl extensions for numerics.
Date: Mon, 13 Oct 2003 21:05:44 +1000
Package: wnpp
Severity: normal

The current maintainer of pdl, Raul Miller <moth@debian.org>, is
apparently not active anymore.  Therefore, I orphan this package now.
If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: pdl
Binary: pdl
Version: 1:2.3.2-0.6
Priority: optional
Section: math
Maintainer: Raul Miller <moth@debian.org>
Build-Depends: g77, xlibmesa-dev, xlibs-dev, libncurses-dev, perl (>= 5.8.0-3), libextutils-f77-perl, debhelper (>= 3.0.18)
Architecture: any
Standards-Version: 3.1.1
Format: 1.0
Directory: pool/main/p/pdl
Files: f21ddd8324310836fcc889e04e66de5b 636 pdl_2.3.2-0.6.dsc
 865ec26190a443a7fb431821da9192e3 1104107 pdl_2.3.2.orig.tar.gz
 9845243d447318b4558673ed69652dc6 3436 pdl_2.3.2-0.6.diff.gz

Package: pdl
Priority: optional
Section: math
Installed-Size: 11148
Maintainer: Raul Miller <moth@debian.org>
Architecture: i386
Version: 1:2.3.2-0.6
Replaces: r-pdl
Depends: perlapi-5.8.0, perl (>= 5.8.0-17), libterm-readkey-perl, libc6 (>= 2.3.1-1), libg2c0 (>= 1:3.2.3-0pre5), xlibmesa4-gl | libgl1, xlibmesa4-glu | libglu1
Suggests: pgperl, libgl1, netpbm | imagemagick
Conflicts: r-pdl
Filename: pool/main/p/pdl/pdl_2.3.2-0.6_i386.deb
Size: 2152054
MD5sum: ec506f606d07847a3cfbe74919550a5d
Description: The perl data language. Perl extensions for numerics.
 PDL (``Perl Data Language'') gives standard perl the ability to COMPACTLY
 store and SPEEDILY manipulate the large N-dimensional data arrays
 which are the bread and butter of scientific computing.  The idea
 is to turn perl in to a free, array-oriented, numerical language
 in the same sense as commercial packages like IDL and MatLab. One
 can write simple perl expressions to manipulate entire numerical arrays
 all at once. For example, using PDL the perl variable $a can hold a
 1024x1024 floating point image, it only takes 4Mb of memory to store
 it and expressions like $a=sqrt($a)+2 would manipulate the whole image
 in a few seconds.
 .
 A simple interactive shell (perldl) is provided for command line use
 together with a module (PDL) for use in perl scripts.
 Web page: http://pdl.perl.org/
Task: science

Justification: No upload since August 2001, several NMUs, maintainer address
bounces.

-- 
Martin Michlmayr
tbm@cyrius.com



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#215543; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Rafael Laboissiere <rafael@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #10 received at 215543@bugs.debian.org (full text, mbox):

From: Rafael Laboissiere <rafael@debian.org>
To: 215543@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: O: pdl -- The perl data language. Perl extensions for numerics.
Date: Wed, 15 Oct 2003 10:11:42 +0200
* Martin Michlmayr <tbm@cyrius.com> [2003-10-13 21:05]:

> The current maintainer of pdl, Raul Miller <moth@debian.org>, is apparently
> not active anymore.  Therefore, I orphan this package now. If you want to
> be the new maintainer, please take it -- see
> http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
> instructions how to adopt a package properly.

I am not interested in adopting this package (it is too big and too buggy,
and I do not have much time right now), but I am particularly interested in
getting the PLplot support working in PDL (Bug#196185).  Do you think that
an NMU would be appropriate? (N.B.: I am not going to fix the other bugs
filed against the package.)

-- 
Rafael



Changed Bug title. Request was from glaweh@debian.org to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as glaweh@debian.org. Request was from glaweh@debian.org to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Henning Glawe <glaweh@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 215543-close@bugs.debian.org (full text, mbox):

From: Henning Glawe <glaweh@debian.org>
To: 215543-close@bugs.debian.org
Subject: Bug#215543: fixed in pdl 1:2.4.0-1
Date: Sat, 13 Dec 2003 18:33:13 -0500
Source: pdl
Source-Version: 1:2.4.0-1

We believe that the bug you reported is fixed in the latest version of
pdl, which is due to be installed in the Debian FTP archive:

pdl_2.4.0-1.diff.gz
  to pool/main/p/pdl/pdl_2.4.0-1.diff.gz
pdl_2.4.0-1.dsc
  to pool/main/p/pdl/pdl_2.4.0-1.dsc
pdl_2.4.0-1_i386.deb
  to pool/main/p/pdl/pdl_2.4.0-1_i386.deb
pdl_2.4.0.orig.tar.gz
  to pool/main/p/pdl/pdl_2.4.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 215543@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Henning Glawe <glaweh@debian.org> (supplier of updated pdl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 13 Dec 2003 22:25:41 +0100
Source: pdl
Binary: pdl
Architecture: source i386
Version: 1:2.4.0-1
Distribution: unstable
Urgency: low
Maintainer: Henning Glawe <glaweh@debian.org>
Changed-By: Henning Glawe <glaweh@debian.org>
Description: 
 pdl        - The perl data language: Perl extensions for numerics
Closes: 104630 140104 141117 170182 196185 215543 223793
Changes: 
 pdl (1:2.4.0-1) unstable; urgency=low
 .
   * new maintainer (Closes: #215543)
   * acknowlege NMU (Closes: #141117, #104630, #140104, #170182)
   * new upstream release.
   * enable plplot support (Closes: #196185)
   * enable gsl support
   * enable fftw support
   * swap out m51.fits and COPYING, taken from PDL CVS HEAD (Closes: #223793)
Files: 
 e742ce3d6f641e3cb8f46eeab9d3f2a4 700 math optional pdl_2.4.0-1.dsc
 6a72607a1b852e3b34ce94ceee8a9289 1862162 math optional pdl_2.4.0.orig.tar.gz
 5638a38ca75efac38e24916413c32729 4271 math optional pdl_2.4.0-1.diff.gz
 d980f99200785d3253bd8c884620608a 4005200 math optional pdl_2.4.0-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.3 (GNU/Linux)

iD8DBQE/25xygjOm0i0vde8RAlmyAJ9wwxZKuFofQL2bVbtKymGO9tTLFwCg4PUr
Q/5zXrjetSO8XOBgtst1rf0=
=jVIq
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 08:08:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.